Subject: [i2rs] Rtgdir early review of draft-ietf-i2rs-rib-data-model-10

From: Michael McBride <[email-masked]>
Date: Mon, 16 Apr 2018 17:27:14 +0000

I have been selected to do a routing directorate “early” review of draft-ietf-i2rs-rib-data-model.

Document: draft-ietf-i2rs-rib-data-model-10
Reviewer: Mike McBride
Review Date: 13-04-2018
Intended Status: Standards Track

Comments:

I only found a few nits. Looks like it’s been through several reviews and otherwise looks good to go to me. The nits that I think should be considered:

2.2. Routing Instance and Rib

---Should "Rib" be "RIB"?

2.4. Nexthop
A nexthop represents an object resulting from a route lookup. As illustrated in Section 2.4 of [I-D.ietf-i2rs-rib-info-model], to support various use cases (e.g., load balance, protection, multicast

---Should "load balance" be "load balancing"?

1.1. Definitions and Acronyms

---Should RPC be added? How about FIB? Right now only RIB is defined.

2.5. RPC Operations
route-add: Add a route or a set of routes to a RIB. A RIB name, the route prefix(es), route attributes, route vendor attributes, nexthop and whether return failure detail are passed as the input

---How about "detail" be "details".

parameters. Before calling the route-add rpc, it is required to call the nh-add rpc to create and/or return the nexthop identifier but during situations when the nexthop already exists and the nexthop-id is known, this action is not expected.. The output is a

---This sentence is awkward to me. I would recommend changing it to two sentences as long as it doesn’t alter the intent:

"Before calling the route-add rpc, it is required to call the nh-add rpc to create and/or return the nexthop identifier. However, in situations when the nexthop already exists, and the nexthop-id is known, this call action is not expected."

Sound reasonable?

mike